export declare const buttonTypes: readonly ["primary", "secondary-outline", "secondary", "tertiary"];
export declare const buttonSizes: readonly ["small", "medium", "large"];
export declare const buttonIconSides: readonly ["prefix", "suffix"];
export declare const buttonColors: readonly ["primary", "error"];
export declare const buttonExternalVar: readonly ["paddingLeft", "paddingRight", "paddingTop", "paddingBottom", "borderRadius", "outlineWidth", "fontSize"];
export type ButtonTypes = typeof buttonTypes[number];
export type ButtonSizes = typeof buttonSizes[number];
export type ButtonIconSides = typeof buttonIconSides[number];
export type ButtonColors = typeof buttonColors[number];
export type ButtonExposeVar = typeof buttonExternalVar[number];
