import { attributeChanged as attributeChanged, } from './types/attribute-changed.types';
import { AttributeFactory } from './attributes/AttributesFactory';
import { CBoxName } from './types/c-box.name';
export class Box extends HTMLElement {
    static get observedAttributes() {
        return attributeChanged;
    }
    async attributeChangedCallback(attr, oldValue, newValue) {
        if (!newValue)
            return;
        AttributeFactory.construct(this, attr, newValue);
    }
}
customElements.define(CBoxName, Box);
//# sourceMappingURL=c-box.js.map