import { LitElement, PropertyValueMap } from 'lit';
export declare class MonthCalendar extends LitElement {
    static styles: import("lit").CSSResult;
    date: Date;
    calendar: CXCalendar.Ref;
    render(): import("lit-html").TemplateResult<1> | undefined;
    generateYear(date: Date, yearCount: number): void;
    selectMonth(date: Date): void;
    protected willUpdate(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    calcYear(date: Date | undefined, state: 'prev' | 'next'): void;
}
