import { Ref } from 'lit/directives/ref';
export declare class DialogState {
    static readonly DIALOG_SLOT_DEFAULT = "dialog-disabled";
    static readonly DIALOG_ENABLED = "dialog__enabled";
    static readonly LOCAL_DIALO_SLOT = "local-dialog-slot";
    private dialogRef?;
    private dialogSlot?;
    private slotName?;
    open: (detail: {
        slotRef?: Ref<HTMLSlotElement>;
        slotName: string;
    }) => Promise<CXDialog.Ref>;
    private setSlotName;
    private setDialogSlot;
    private getAsyncDialogRef;
    close: (shouldTriggerOnClosed?: boolean) => void;
    private endTransition;
    closeBackdrop: () => void;
    private triggerOnClosedWhenTimeup;
    private startTransition;
    private SetOpacity;
    private openChildDialog;
    private closeDialogWhenEnd;
    private removeDialogLocal;
    private setModalSlot;
    toggleBackdrop(status: 'enabled' | 'disabled', dialogParentParam?: HTMLElement): void;
    private enabledBackdrop;
    private disabledBackdrop;
    private attachEscapeKeyupEvent;
    private disabledBackdropByEscape;
    private createSlotRef;
    private setComponentRef;
    private triggerOnClosed;
    private removeEscapeKeyupEvent;
}
