import { css } from 'lit';
export const sizes = css `
  :host {
    --base-size-half: 50%;
    --base-size-full: 100%;
    --base-size-0: 0rem;
    --base-size-1: 0.063rem;
    --base-size-2: 0.125rem;
    --base-size-3: 0.188rem;
    --base-size-4: 0.25rem;
    --base-size-5: 0.313rem;
    --base-size-6: 0.375rem;
    --base-size-7: 0.438rem;
    --base-size-8: 0.5rem;
    --base-size-9: 0.563rem;
    --base-size-10: 0.625rem;
    --base-size-11: 0.688rem;
    --base-size-12: 0.75rem;
    --base-size-13: 0.813rem;
    --base-size-14: 0.875rem;
    --base-size-15: 0.938rem;
    --base-size-16: 1rem;
    --base-size-17: 1.063rem;
    --base-size-18: 1.125rem;
    --base-size-19: 1.188rem;
    --base-size-20: 1.25rem;
    --base-size-21: 1.313rem;
    --base-size-22: 1.375rem;
    --base-size-23: 1.438rem;
    --base-size-24: 1.5rem;
    --base-size-25: 1.563rem;
    --base-size-26: 1.625rem;
    --base-size-27: 1.688rem;
    --base-size-28: 1.75rem;
    --base-size-29: 1.813rem;
    --base-size-30: 1.875rem;
    --base-size-31: 1.938rem;
    --base-size-32: 2rem;
    --base-size-33: 2.063rem;
    --base-size-34: 2.125rem;
    --base-size-35: 2.188rem;
    --base-size-36: 2.25rem;
    --base-size-37: 2.313rem;
    --base-size-38: 2.375rem;
    --base-size-39: 2.438rem;
    --base-size-40: 2.5rem;
    --base-size-41: 2.563rem;
    --base-size-42: 2.625rem;
    --base-size-43: 2.688rem;
    --base-size-44: 2.75rem;
    --base-size-45: 2.813rem;
    --base-size-46: 2.875rem;
    --base-size-47: 2.938rem;
    --base-size-48: 3rem;
    --base-size-49: 3.063rem;
    --base-size-50: 3.125rem;
    --base-size-51: 3.188rem;
    --base-size-52: 3.25rem;
    --base-size-53: 3.313rem;
    --base-size-54: 3.375rem;
    --base-size-55: 3.438rem;
    --base-size-56: 3.5rem;
    --base-size-57: 3.563rem;
    --base-size-58: 3.625rem;
    --base-size-59: 3.688rem;
    --base-size-60: 3.75rem;
    --base-size-61: 3.813rem;
    --base-size-62: 3.875rem;
    --base-size-63: 3.938rem;
    --base-size-64: 4rem;
    --base-size-65: 4.063rem;
    --base-size-66: 4.125rem;
    --base-size-67: 4.188rem;
    --base-size-68: 4.25rem;
    --base-size-69: 4.313rem;
    --base-size-70: 4.375rem;
    --base-size-71: 4.438rem;
    --base-size-72: 4.5rem;
    --base-size-73: 4.563rem;
    --base-size-74: 4.625rem;
    --base-size-75: 4.688rem;
    --base-size-76: 4.75rem;
    --base-size-77: 4.813rem;
    --base-size-78: 4.875rem;
    --base-size-79: 4.938rem;
    --base-size-80: 5rem;
    --base-size-81: 5.063rem;
    --base-size-82: 5.125rem;
    --base-size-83: 5.188rem;
    --base-size-84: 5.25rem;
    --base-size-85: 5.313rem;
    --base-size-86: 5.375rem;
    --base-size-87: 5.438rem;
    --base-size-88: 5.5rem;
    --base-size-89: 5.563rem;
    --base-size-90: 5.625rem;
    --base-size-91: 5.688rem;
    --base-size-92: 5.75rem;
    --base-size-93: 5.813rem;
    --base-size-94: 5.875rem;
    --base-size-95: 5.938rem;
    --base-size-96: 6rem;
    --base-size-97: 6.063rem;
    --base-size-98: 6.125rem;
    --base-size-99: 6.188rem;
    --base-size-100: 6.25rem;
    --base-size-102: 6.375rem;
    --base-size-104: 6.5rem;
    --base-size-106: 6.625rem;
    --base-size-108: 6.75rem;
    --base-size-110: 6.875rem;
    --base-size-112: 7rem;
    --base-size-114: 7.125rem;
    --base-size-116: 7.25rem;
    --base-size-118: 7.375rem;
    --base-size-120: 7.5rem;
    --base-size-122: 7.625rem;
    --base-size-124: 7.75rem;
    --base-size-126: 7.875rem;
    --base-size-128: 8rem;
    --base-size-130: 8.125rem;
    --base-size-132: 8.25rem;
    --base-size-134: 8.375rem;
    --base-size-136: 8.5rem;
    --base-size-138: 8.625rem;
    --base-size-140: 8.75rem;
    --base-size-142: 8.875rem;
    --base-size-144: 9rem;
    --base-size-146: 9.125rem;
    --base-size-148: 9.25rem;
    --base-size-150: 9.375rem;
    --base-size-152: 9.5rem;
    --base-size-154: 9.625rem;
    --base-size-156: 9.75rem;
    --base-size-158: 9.875rem;
    --base-size-160: 10rem;
    --base-size-162: 10.125rem;
    --base-size-164: 10.25rem;
    --base-size-166: 10.375rem;
    --base-size-168: 10.5rem;
    --base-size-170: 10.625rem;
    --base-size-172: 10.75rem;
    --base-size-174: 10.875rem;
    --base-size-176: 11rem;
    --base-size-178: 11.125rem;
    --base-size-180: 11.25rem;
    --base-size-182: 11.375rem;
    --base-size-184: 11.5rem;
    --base-size-186: 11.625rem;
    --base-size-188: 11.75rem;
    --base-size-190: 11.875rem;
    --base-size-192: 12rem;
    --base-size-194: 12.125rem;
    --base-size-196: 12.25rem;
    --base-size-198: 12.375rem;
    --base-size-200: 12.5rem;
    --base-size-202: 12.625rem;
    --base-size-204: 12.75rem;
    --base-size-206: 12.875rem;
    --base-size-208: 13rem;
    --base-size-210: 13.125rem;
    --base-size-212: 13.25rem;
    --base-size-214: 13.375rem;
    --base-size-216: 13.5rem;
    --base-size-218: 13.625rem;
    --base-size-220: 13.75rem;
    --base-size-222: 13.875rem;
    --base-size-224: 14rem;
    --base-size-226: 14.125rem;
    --base-size-228: 14.25rem;
    --base-size-230: 14.375rem;
    --base-size-232: 14.5rem;
    --base-size-234: 14.625rem;
    --base-size-236: 14.75rem;
    --base-size-238: 14.875rem;
    --base-size-240: 15rem;
    --base-size-242: 15.125rem;
    --base-size-244: 15.25rem;
    --base-size-246: 15.375rem;
    --base-size-248: 15.5rem;
    --base-size-250: 15.625rem;
    --base-size-252: 15.75rem;
    --base-size-254: 15.875rem;
    --base-size-256: 16rem;
    --base-size-258: 16.125rem;
    --base-size-260: 16.25rem;
    --base-size-262: 16.375rem;
    --base-size-264: 16.5rem;
    --base-size-266: 16.625rem;
    --base-size-268: 16.75rem;
    --base-size-270: 16.875rem;
    --base-size-272: 17rem;
    --base-size-274: 17.125rem;
    --base-size-276: 17.25rem;
    --base-size-278: 17.375rem;
    --base-size-280: 17.5rem;
    --base-size-282: 17.625rem;
    --base-size-284: 17.75rem;
    --base-size-286: 17.875rem;
    --base-size-288: 18rem;
    --base-size-290: 18.125rem;
    --base-size-292: 18.25rem;
    --base-size-294: 18.375rem;
    --base-size-296: 18.5rem;
    --base-size-298: 18.625rem;
    --base-size-300: 18.75rem;
    --base-size-302: 18.875rem;
    --base-size-304: 19rem;
    --base-size-306: 19.125rem;
    --base-size-308: 19.25rem;
    --base-size-310: 19.375rem;
    --base-size-312: 19.5rem;
    --base-size-314: 19.625rem;
    --base-size-316: 19.75rem;
    --base-size-318: 19.875rem;
    --base-size-320: 20rem;
    --base-size-322: 20.125rem;
    --base-size-324: 20.25rem;
    --base-size-326: 20.375rem;
    --base-size-328: 20.5rem;
    --base-size-330: 20.625rem;
    --base-size-332: 20.75rem;
    --base-size-334: 20.875rem;
    --base-size-336: 21rem;
    --base-size-338: 21.125rem;
    --base-size-340: 21.25rem;
    --base-size-342: 21.375rem;
    --base-size-344: 21.5rem;
    --base-size-346: 21.625rem;
    --base-size-348: 21.75rem;
    --base-size-350: 21.875rem;
    --base-size-352: 22rem;
    --base-size-354: 22.125rem;
    --base-size-356: 22.25rem;
    --base-size-358: 22.375rem;
    --base-size-360: 22.5rem;
    --base-size-362: 22.625rem;
    --base-size-364: 22.75rem;
    --base-size-366: 22.875rem;
    --base-size-368: 23rem;
    --base-size-370: 23.125rem;
    --base-size-372: 23.25rem;
    --base-size-374: 23.375rem;
    --base-size-376: 23.5rem;
    --base-size-378: 23.625rem;
    --base-size-380: 23.75rem;
    --base-size-382: 23.875rem;
    --base-size-384: 24rem;
    --base-size-386: 24.125rem;
    --base-size-388: 24.25rem;
    --base-size-390: 24.375rem;
    --base-size-392: 24.5rem;
    --base-size-394: 24.625rem;
    --base-size-396: 24.75rem;
    --base-size-398: 24.875rem;
    --base-size-400: 25rem;
    --base-size-402: 25.125rem;
    --base-size-404: 25.25rem;
    --base-size-406: 25.375rem;
    --base-size-408: 25.5rem;
    --base-size-410: 25.625rem;
    --base-size-412: 25.75rem;
    --base-size-414: 25.875rem;
    --base-size-416: 26rem;
    --base-size-418: 26.125rem;
    --base-size-420: 26.25rem;
    --base-size-422: 26.375rem;
    --base-size-424: 26.5rem;
    --base-size-426: 26.625rem;
    --base-size-428: 26.75rem;
    --base-size-430: 26.875rem;
    --base-size-432: 27rem;
    --base-size-434: 27.125rem;
    --base-size-436: 27.25rem;
    --base-size-438: 27.375rem;
    --base-size-440: 27.5rem;
    --base-size-442: 27.625rem;
    --base-size-444: 27.75rem;
    --base-size-446: 27.875rem;
    --base-size-448: 28rem;
    --base-size-450: 28.125rem;
    --base-size-452: 28.25rem;
    --base-size-454: 28.375rem;
    --base-size-456: 28.5rem;
    --base-size-458: 28.625rem;
    --base-size-460: 28.75rem;
    --base-size-462: 28.875rem;
    --base-size-464: 29rem;
    --base-size-466: 29.125rem;
    --base-size-468: 29.25rem;
    --base-size-470: 29.375rem;
    --base-size-472: 29.5rem;
    --base-size-474: 29.625rem;
    --base-size-476: 29.75rem;
    --base-size-478: 29.875rem;
    --base-size-480: 30rem;
    --base-size-482: 30.125rem;
    --base-size-484: 30.25rem;
    --base-size-486: 30.375rem;
    --base-size-488: 30.5rem;
    --base-size-490: 30.625rem;
    --base-size-492: 30.75rem;
    --base-size-494: 30.875rem;
    --base-size-496: 31rem;
    --base-size-498: 31.125rem;
    --base-size-500: 31.25rem;
    --base-size-502: 31.375rem;
    --base-size-504: 31.5rem;
    --base-size-506: 31.625rem;
    --base-size-508: 31.75rem;
    --base-size-510: 31.875rem;
    --base-size-512: 32rem;
    --base-size-514: 32.125rem;
    --base-size-516: 32.25rem;
    --base-size-518: 32.375rem;
    --base-size-520: 32.5rem;
    --base-size-522: 32.625rem;
    --base-size-524: 32.75rem;
    --base-size-526: 32.875rem;
    --base-size-528: 33rem;
    --base-size-530: 33.125rem;
    --base-size-532: 33.25rem;
    --base-size-534: 33.375rem;
    --base-size-536: 33.5rem;
    --base-size-538: 33.625rem;
    --base-size-540: 33.75rem;
    --base-size-542: 33.875rem;
    --base-size-544: 34rem;
    --base-size-546: 34.125rem;
    --base-size-548: 34.25rem;
    --base-size-550: 34.375rem;
    --base-size-552: 34.5rem;
    --base-size-554: 34.625rem;
    --base-size-556: 34.75rem;
    --base-size-558: 34.875rem;
    --base-size-560: 35rem;
    --base-size-562: 35.125rem;
    --base-size-564: 35.25rem;
    --base-size-566: 35.375rem;
    --base-size-568: 35.5rem;
    --base-size-570: 35.625rem;
    --base-size-572: 35.75rem;
    --base-size-574: 35.875rem;
    --base-size-576: 36rem;
    --base-size-578: 36.125rem;
    --base-size-580: 36.25rem;
    --base-size-582: 36.375rem;
    --base-size-584: 36.5rem;
    --base-size-586: 36.625rem;
    --base-size-588: 36.75rem;
    --base-size-590: 36.875rem;
    --base-size-592: 37rem;
    --base-size-594: 37.125rem;
    --base-size-596: 37.25rem;
    --base-size-598: 37.375rem;
    --base-size-600: 37.5rem;
    --base-size-602: 37.625rem;
    --base-size-604: 37.75rem;
    --base-size-606: 37.875rem;
    --base-size-608: 38rem;
    --base-size-610: 38.125rem;
    --base-size-612: 38.25rem;
    --base-size-614: 38.375rem;
    --base-size-616: 38.5rem;
    --base-size-618: 38.625rem;
    --base-size-620: 38.75rem;
    --base-size-622: 38.875rem;
    --base-size-624: 39rem;
    --base-size-626: 39.125rem;
    --base-size-628: 39.25rem;
    --base-size-630: 39.375rem;
    --base-size-632: 39.5rem;
    --base-size-634: 39.625rem;
    --base-size-636: 39.75rem;
    --base-size-638: 39.875rem;
    --base-size-640: 40rem;
    --base-size-642: 40.125rem;
    --base-size-644: 40.25rem;
    --base-size-646: 40.375rem;
    --base-size-648: 40.5rem;
    --base-size-650: 40.625rem;
    --base-size-652: 40.75rem;
    --base-size-654: 40.875rem;
    --base-size-656: 41rem;
    --base-size-658: 41.125rem;
    --base-size-660: 41.25rem;
    --base-size-662: 41.375rem;
    --base-size-664: 41.5rem;
    --base-size-666: 41.625rem;
    --base-size-668: 41.75rem;
    --base-size-670: 41.875rem;
    --base-size-672: 42rem;
    --base-size-674: 42.125rem;
    --base-size-676: 42.25rem;
    --base-size-678: 42.375rem;
    --base-size-680: 42.5rem;
    --base-size-682: 42.625rem;
    --base-size-684: 42.75rem;
    --base-size-686: 42.875rem;
    --base-size-688: 43rem;
    --base-size-690: 43.125rem;
    --base-size-692: 43.25rem;
    --base-size-694: 43.375rem;
    --base-size-696: 43.5rem;
    --base-size-698: 43.625rem;
    --base-size-700: 43.75rem;
    --base-size-702: 43.875rem;
    --base-size-704: 44rem;
    --base-size-706: 44.125rem;
    --base-size-708: 44.25rem;
    --base-size-710: 44.375rem;
    --base-size-712: 44.5rem;
    --base-size-714: 44.625rem;
    --base-size-716: 44.75rem;
    --base-size-718: 44.875rem;
    --base-size-720: 45rem;
    --base-size-722: 45.125rem;
    --base-size-724: 45.25rem;
    --base-size-726: 45.375rem;
    --base-size-728: 45.5rem;
    --base-size-730: 45.625rem;
    --base-size-732: 45.75rem;
    --base-size-734: 45.875rem;
    --base-size-736: 46rem;
    --base-size-738: 46.125rem;
    --base-size-740: 46.25rem;
    --base-size-742: 46.375rem;
    --base-size-744: 46.5rem;
    --base-size-746: 46.625rem;
    --base-size-748: 46.75rem;
    --base-size-750: 46.875rem;
    --base-size-752: 47rem;
    --base-size-754: 47.125rem;
    --base-size-756: 47.25rem;
    --base-size-758: 47.375rem;
    --base-size-760: 47.5rem;
    --base-size-762: 47.625rem;
    --base-size-764: 47.75rem;
    --base-size-766: 47.875rem;
    --base-size-768: 48rem;
    --base-size-770: 48.125rem;
    --base-size-772: 48.25rem;
    --base-size-774: 48.375rem;
    --base-size-776: 48.5rem;
    --base-size-778: 48.625rem;
    --base-size-780: 48.75rem;
    --base-size-782: 48.875rem;
    --base-size-784: 49rem;
    --base-size-786: 49.125rem;
    --base-size-788: 49.25rem;
    --base-size-790: 49.375rem;
    --base-size-792: 49.5rem;
    --base-size-794: 49.625rem;
    --base-size-796: 49.75rem;
    --base-size-798: 49.875rem;
    --base-size-800: 50rem;
    --base-size-802: 50.125rem;
    --base-size-804: 50.25rem;
    --base-size-806: 50.375rem;
    --base-size-808: 50.5rem;
    --base-size-810: 50.625rem;
    --base-size-812: 50.75rem;
    --base-size-814: 50.875rem;
    --base-size-816: 51rem;
    --base-size-818: 51.125rem;
    --base-size-820: 51.25rem;
    --base-size-822: 51.375rem;
    --base-size-824: 51.5rem;
    --base-size-826: 51.625rem;
    --base-size-828: 51.75rem;
    --base-size-830: 51.875rem;
    --base-size-832: 52rem;
    --base-size-834: 52.125rem;
    --base-size-836: 52.25rem;
    --base-size-838: 52.375rem;
    --base-size-840: 52.5rem;
    --base-size-842: 52.625rem;
    --base-size-844: 52.75rem;
    --base-size-846: 52.875rem;
    --base-size-848: 53rem;
    --base-size-850: 53.125rem;
    --base-size-852: 53.25rem;
    --base-size-854: 53.375rem;
    --base-size-856: 53.5rem;
    --base-size-858: 53.625rem;
    --base-size-860: 53.75rem;
    --base-size-862: 53.875rem;
    --base-size-864: 54rem;
    --base-size-866: 54.125rem;
    --base-size-868: 54.25rem;
    --base-size-870: 54.375rem;
    --base-size-872: 54.5rem;
    --base-size-874: 54.625rem;
    --base-size-876: 54.75rem;
    --base-size-878: 54.875rem;
    --base-size-880: 55rem;
    --base-size-882: 55.125rem;
    --base-size-884: 55.25rem;
    --base-size-886: 55.375rem;
    --base-size-888: 55.5rem;
    --base-size-890: 55.625rem;
    --base-size-892: 55.75rem;
    --base-size-894: 55.875rem;
    --base-size-896: 56rem;
    --base-size-898: 56.125rem;
    --base-size-900: 56.25rem;
    --base-size-900: 56.25rem;
    --base-size-902: 56.375rem;
    --base-size-904: 56.5rem;
    --base-size-906: 56.625rem;
    --base-size-908: 56.75rem;
    --base-size-910: 56.875rem;
    --base-size-912: 57rem;
    --base-size-914: 57.125rem;
    --base-size-916: 57.25rem;
    --base-size-918: 57.375rem;
    --base-size-920: 57.5rem;
    --base-size-922: 57.625rem;
    --base-size-924: 57.75rem;
    --base-size-926: 57.875rem;
    --base-size-928: 58rem;
    --base-size-930: 58.125rem;
    --base-size-932: 58.25rem;
    --base-size-934: 58.375rem;
    --base-size-936: 58.5rem;
    --base-size-938: 58.625rem;
    --base-size-940: 58.75rem;
    --base-size-942: 58.875rem;
    --base-size-944: 59rem;
    --base-size-946: 59.125rem;
    --base-size-948: 59.25rem;
    --base-size-950: 59.375rem;
    --base-size-952: 59.5rem;
    --base-size-954: 59.625rem;
    --base-size-956: 59.75rem;
    --base-size-958: 59.875rem;
    --base-size-960: 60rem;
    --base-size-962: 60.125rem;
    --base-size-964: 60.25rem;
    --base-size-966: 60.375rem;
    --base-size-968: 60.5rem;
    --base-size-970: 60.625rem;
    --base-size-972: 60.75rem;
    --base-size-974: 60.875rem;
    --base-size-976: 61rem;
    --base-size-978: 61.125rem;
    --base-size-980: 61.25rem;
    --base-size-982: 61.375rem;
    --base-size-984: 61.5rem;
    --base-size-986: 61.625rem;
    --base-size-988: 61.75rem;
    --base-size-990: 61.875rem;
    --base-size-992: 62rem;
    --base-size-994: 62.125rem;
    --base-size-996: 62.25rem;
    --base-size-998: 62.375rem;
    --base-size-1000: 62.5rem;
  }
  :host(.small) {
    --size-0: 0rem;
    --size-1: 0.063rem;
    --size-2: 0.125rem;
    --size-3: 0.188rem;
    --size-4: 0.25rem;
    --size-5: 0.313rem;
    --size-6: 0.375rem;
    --size-7: 0.438rem;
    --size-8: 0.5rem;
    --size-9: 0.563rem;
    --size-10: 0.625rem;
    --size-11: 0.688rem;
    --size-12: 0.75rem;
    --size-13: 0.813rem;
    --size-14: 0.875rem;
    --size-15: 0.938rem;
    --size-16: 1rem;
    --size-17: 1.063rem;
    --size-18: 1.125rem;
    --size-19: 1.188rem;
    --size-20: 1.25rem;
    --size-21: 1.313rem;
    --size-22: 1.375rem;
    --size-23: 1.438rem;
    --size-24: 1.5rem;
    --size-25: 1.563rem;
    --size-26: 1.625rem;
    --size-27: 1.688rem;
    --size-28: 1.75rem;
    --size-29: 1.813rem;
    --size-30: 1.875rem;
    --size-31: 1.938rem;
    --size-32: 2rem;
    --size-33: 2.063rem;
    --size-34: 2.125rem;
    --size-35: 2.188rem;
    --size-36: 2.25rem;
    --size-37: 2.313rem;
    --size-38: 2.375rem;
    --size-39: 2.438rem;
    --size-40: 2.5rem;
    --size-41: 2.563rem;
    --size-42: 2.625rem;
    --size-43: 2.688rem;
    --size-44: 2.75rem;
    --size-45: 2.813rem;
    --size-46: 2.875rem;
    --size-47: 2.938rem;
    --size-48: 3rem;
    --size-49: 3.063rem;
    --size-50: 3.125rem;
    --size-51: 3.188rem;
    --size-52: 3.25rem;
    --size-53: 3.313rem;
    --size-54: 3.375rem;
    --size-55: 3.438rem;
    --size-56: 3.5rem;
    --size-57: 3.563rem;
    --size-58: 3.625rem;
    --size-59: 3.688rem;
    --size-60: 3.75rem;
    --size-61: 3.813rem;
    --size-62: 3.875rem;
    --size-63: 3.938rem;
    --size-64: 4rem;
    --size-65: 4.063rem;
    --size-66: 4.125rem;
    --size-67: 4.188rem;
    --size-68: 4.25rem;
    --size-69: 4.313rem;
    --size-70: 4.375rem;
    --size-71: 4.438rem;
    --size-72: 4.5rem;
    --size-73: 4.563rem;
    --size-74: 4.625rem;
    --size-75: 4.688rem;
    --size-76: 4.75rem;
    --size-77: 4.813rem;
    --size-78: 4.875rem;
    --size-79: 4.938rem;
    --size-80: 5rem;
    --size-81: 5.063rem;
    --size-82: 5.125rem;
    --size-83: 5.188rem;
    --size-84: 5.25rem;
    --size-85: 5.313rem;
    --size-86: 5.375rem;
    --size-87: 5.438rem;
    --size-88: 5.5rem;
    --size-89: 5.563rem;
    --size-90: 5.625rem;
    --size-91: 5.688rem;
    --size-92: 5.75rem;
    --size-93: 5.813rem;
    --size-94: 5.875rem;
    --size-95: 5.938rem;
    --size-96: 6rem;
    --size-97: 6.063rem;
    --size-98: 6.125rem;
    --size-99: 6.188rem;
    --size-100: 6.25rem;
    --size-102: 6.375rem;
    --size-104: 6.5rem;
    --size-106: 6.625rem;
    --size-108: 6.75rem;
    --size-110: 6.875rem;
    --size-112: 7rem;
    --size-114: 7.125rem;
    --size-116: 7.25rem;
    --size-118: 7.375rem;
    --size-120: 7.5rem;
    --size-122: 7.625rem;
    --size-124: 7.75rem;
    --size-126: 7.875rem;
    --size-128: 8rem;
    --size-130: 8.125rem;
    --size-132: 8.25rem;
    --size-134: 8.375rem;
    --size-136: 8.5rem;
    --size-138: 8.625rem;
    --size-140: 8.75rem;
    --size-142: 8.875rem;
    --size-144: 9rem;
    --size-146: 9.125rem;
    --size-148: 9.25rem;
    --size-150: 9.375rem;
    --size-152: 9.5rem;
    --size-154: 9.625rem;
    --size-156: 9.75rem;
    --size-158: 9.875rem;
    --size-160: 10rem;
    --size-162: 10.125rem;
    --size-164: 10.25rem;
    --size-166: 10.375rem;
    --size-168: 10.5rem;
    --size-170: 10.625rem;
    --size-172: 10.75rem;
    --size-174: 10.875rem;
    --size-176: 11rem;
    --size-178: 11.125rem;
    --size-180: 11.25rem;
    --size-182: 11.375rem;
    --size-184: 11.5rem;
    --size-186: 11.625rem;
    --size-188: 11.75rem;
    --size-190: 11.875rem;
    --size-192: 12rem;
    --size-194: 12.125rem;
    --size-196: 12.25rem;
    --size-198: 12.375rem;
    --size-200: 12.5rem;
    --size-202: 12.625rem;
    --size-204: 12.75rem;
    --size-206: 12.875rem;
    --size-208: 13rem;
    --size-210: 13.125rem;
    --size-212: 13.25rem;
    --size-214: 13.375rem;
    --size-216: 13.5rem;
    --size-218: 13.625rem;
    --size-220: 13.75rem;
    --size-222: 13.875rem;
    --size-224: 14rem;
    --size-226: 14.125rem;
    --size-228: 14.25rem;
    --size-230: 14.375rem;
    --size-232: 14.5rem;
    --size-234: 14.625rem;
    --size-236: 14.75rem;
    --size-238: 14.875rem;
    --size-240: 15rem;
    --size-242: 15.125rem;
    --size-244: 15.25rem;
    --size-246: 15.375rem;
    --size-248: 15.5rem;
    --size-250: 15.625rem;
    --size-252: 15.75rem;
    --size-254: 15.875rem;
    --size-256: 16rem;
    --size-258: 16.125rem;
    --size-260: 16.25rem;
    --size-262: 16.375rem;
    --size-264: 16.5rem;
    --size-266: 16.625rem;
    --size-268: 16.75rem;
    --size-270: 16.875rem;
    --size-272: 17rem;
    --size-274: 17.125rem;
    --size-276: 17.25rem;
    --size-278: 17.375rem;
    --size-280: 17.5rem;
    --size-282: 17.625rem;
    --size-284: 17.75rem;
    --size-286: 17.875rem;
    --size-288: 18rem;
    --size-290: 18.125rem;
    --size-292: 18.25rem;
    --size-294: 18.375rem;
    --size-296: 18.5rem;
    --size-298: 18.625rem;
    --size-300: 18.75rem;
    --size-302: 18.875rem;
    --size-304: 19rem;
    --size-306: 19.125rem;
    --size-308: 19.25rem;
    --size-310: 19.375rem;
    --size-312: 19.5rem;
    --size-314: 19.625rem;
    --size-316: 19.75rem;
    --size-318: 19.875rem;
    --size-320: 20rem;
    --size-322: 20.125rem;
    --size-324: 20.25rem;
    --size-326: 20.375rem;
    --size-328: 20.5rem;
    --size-330: 20.625rem;
    --size-332: 20.75rem;
    --size-334: 20.875rem;
    --size-336: 21rem;
    --size-338: 21.125rem;
    --size-340: 21.25rem;
    --size-342: 21.375rem;
    --size-344: 21.5rem;
    --size-346: 21.625rem;
    --size-348: 21.75rem;
    --size-350: 21.875rem;
    --size-352: 22rem;
    --size-354: 22.125rem;
    --size-356: 22.25rem;
    --size-358: 22.375rem;
    --size-360: 22.5rem;
    --size-362: 22.625rem;
    --size-364: 22.75rem;
    --size-366: 22.875rem;
    --size-368: 23rem;
    --size-370: 23.125rem;
    --size-372: 23.25rem;
    --size-374: 23.375rem;
    --size-376: 23.5rem;
    --size-378: 23.625rem;
    --size-380: 23.75rem;
    --size-382: 23.875rem;
    --size-384: 24rem;
    --size-386: 24.125rem;
    --size-388: 24.25rem;
    --size-390: 24.375rem;
    --size-392: 24.5rem;
    --size-394: 24.625rem;
    --size-396: 24.75rem;
    --size-398: 24.875rem;
    --size-400: 25rem;
    --size-402: 25.125rem;
    --size-404: 25.25rem;
    --size-406: 25.375rem;
    --size-408: 25.5rem;
    --size-410: 25.625rem;
    --size-412: 25.75rem;
    --size-414: 25.875rem;
    --size-416: 26rem;
    --size-418: 26.125rem;
    --size-420: 26.25rem;
    --size-422: 26.375rem;
    --size-424: 26.5rem;
    --size-426: 26.625rem;
    --size-428: 26.75rem;
    --size-430: 26.875rem;
    --size-432: 27rem;
    --size-434: 27.125rem;
    --size-436: 27.25rem;
    --size-438: 27.375rem;
    --size-440: 27.5rem;
    --size-442: 27.625rem;
    --size-444: 27.75rem;
    --size-446: 27.875rem;
    --size-448: 28rem;
    --size-450: 28.125rem;
    --size-452: 28.25rem;
    --size-454: 28.375rem;
    --size-456: 28.5rem;
    --size-458: 28.625rem;
    --size-460: 28.75rem;
    --size-462: 28.875rem;
    --size-464: 29rem;
    --size-466: 29.125rem;
    --size-468: 29.25rem;
    --size-470: 29.375rem;
    --size-472: 29.5rem;
    --size-474: 29.625rem;
    --size-476: 29.75rem;
    --size-478: 29.875rem;
    --size-480: 30rem;
    --size-482: 30.125rem;
    --size-484: 30.25rem;
    --size-486: 30.375rem;
    --size-488: 30.5rem;
    --size-490: 30.625rem;
    --size-492: 30.75rem;
    --size-494: 30.875rem;
    --size-496: 31rem;
    --size-498: 31.125rem;
    --size-500: 31.25rem;
    --size-502: 31.375rem;
    --size-504: 31.5rem;
    --size-506: 31.625rem;
    --size-508: 31.75rem;
    --size-510: 31.875rem;
    --size-512: 32rem;
    --size-514: 32.125rem;
    --size-516: 32.25rem;
    --size-518: 32.375rem;
    --size-520: 32.5rem;
    --size-522: 32.625rem;
    --size-524: 32.75rem;
    --size-526: 32.875rem;
    --size-528: 33rem;
    --size-530: 33.125rem;
    --size-532: 33.25rem;
    --size-534: 33.375rem;
    --size-536: 33.5rem;
    --size-538: 33.625rem;
    --size-540: 33.75rem;
    --size-542: 33.875rem;
    --size-544: 34rem;
    --size-546: 34.125rem;
    --size-548: 34.25rem;
    --size-550: 34.375rem;
    --size-552: 34.5rem;
    --size-554: 34.625rem;
    --size-556: 34.75rem;
    --size-558: 34.875rem;
    --size-560: 35rem;
    --size-562: 35.125rem;
    --size-564: 35.25rem;
    --size-566: 35.375rem;
    --size-568: 35.5rem;
    --size-570: 35.625rem;
    --size-572: 35.75rem;
    --size-574: 35.875rem;
    --size-576: 36rem;
    --size-578: 36.125rem;
    --size-580: 36.25rem;
    --size-582: 36.375rem;
    --size-584: 36.5rem;
    --size-586: 36.625rem;
    --size-588: 36.75rem;
    --size-590: 36.875rem;
    --size-592: 37rem;
    --size-594: 37.125rem;
    --size-596: 37.25rem;
    --size-598: 37.375rem;
    --size-600: 37.5rem;
    --size-602: 37.625rem;
    --size-604: 37.75rem;
    --size-606: 37.875rem;
    --size-608: 38rem;
    --size-610: 38.125rem;
    --size-612: 38.25rem;
    --size-614: 38.375rem;
    --size-616: 38.5rem;
    --size-618: 38.625rem;
    --size-620: 38.75rem;
    --size-622: 38.875rem;
    --size-624: 39rem;
    --size-626: 39.125rem;
    --size-628: 39.25rem;
    --size-630: 39.375rem;
    --size-632: 39.5rem;
    --size-634: 39.625rem;
    --size-636: 39.75rem;
    --size-638: 39.875rem;
    --size-640: 40rem;
    --size-642: 40.125rem;
    --size-644: 40.25rem;
    --size-646: 40.375rem;
    --size-648: 40.5rem;
    --size-650: 40.625rem;
    --size-652: 40.75rem;
    --size-654: 40.875rem;
    --size-656: 41rem;
    --size-658: 41.125rem;
    --size-660: 41.25rem;
    --size-662: 41.375rem;
    --size-664: 41.5rem;
    --size-666: 41.625rem;
    --size-668: 41.75rem;
    --size-670: 41.875rem;
    --size-672: 42rem;
    --size-674: 42.125rem;
    --size-676: 42.25rem;
    --size-678: 42.375rem;
    --size-680: 42.5rem;
    --size-682: 42.625rem;
    --size-684: 42.75rem;
    --size-686: 42.875rem;
    --size-688: 43rem;
    --size-690: 43.125rem;
    --size-692: 43.25rem;
    --size-694: 43.375rem;
    --size-696: 43.5rem;
    --size-698: 43.625rem;
    --size-700: 43.75rem;
    --size-702: 43.875rem;
    --size-704: 44rem;
    --size-706: 44.125rem;
    --size-708: 44.25rem;
    --size-710: 44.375rem;
    --size-712: 44.5rem;
    --size-714: 44.625rem;
    --size-716: 44.75rem;
    --size-718: 44.875rem;
    --size-720: 45rem;
    --size-722: 45.125rem;
    --size-724: 45.25rem;
    --size-726: 45.375rem;
    --size-728: 45.5rem;
    --size-730: 45.625rem;
    --size-732: 45.75rem;
    --size-734: 45.875rem;
    --size-736: 46rem;
    --size-738: 46.125rem;
    --size-740: 46.25rem;
    --size-742: 46.375rem;
    --size-744: 46.5rem;
    --size-746: 46.625rem;
    --size-748: 46.75rem;
    --size-750: 46.875rem;
    --size-752: 47rem;
    --size-754: 47.125rem;
    --size-756: 47.25rem;
    --size-758: 47.375rem;
    --size-760: 47.5rem;
    --size-762: 47.625rem;
    --size-764: 47.75rem;
    --size-766: 47.875rem;
    --size-768: 48rem;
    --size-770: 48.125rem;
    --size-772: 48.25rem;
    --size-774: 48.375rem;
    --size-776: 48.5rem;
    --size-778: 48.625rem;
    --size-780: 48.75rem;
    --size-782: 48.875rem;
    --size-784: 49rem;
    --size-786: 49.125rem;
    --size-788: 49.25rem;
    --size-790: 49.375rem;
    --size-792: 49.5rem;
    --size-794: 49.625rem;
    --size-796: 49.75rem;
    --size-798: 49.875rem;
    --size-800: 50rem;
    --size-802: 50.125rem;
    --size-804: 50.25rem;
    --size-806: 50.375rem;
    --size-808: 50.5rem;
    --size-810: 50.625rem;
    --size-812: 50.75rem;
    --size-814: 50.875rem;
    --size-816: 51rem;
    --size-818: 51.125rem;
    --size-820: 51.25rem;
    --size-822: 51.375rem;
    --size-824: 51.5rem;
    --size-826: 51.625rem;
    --size-828: 51.75rem;
    --size-830: 51.875rem;
    --size-832: 52rem;
    --size-834: 52.125rem;
    --size-836: 52.25rem;
    --size-838: 52.375rem;
    --size-840: 52.5rem;
    --size-842: 52.625rem;
    --size-844: 52.75rem;
    --size-846: 52.875rem;
    --size-848: 53rem;
    --size-850: 53.125rem;
    --size-852: 53.25rem;
    --size-854: 53.375rem;
    --size-856: 53.5rem;
    --size-858: 53.625rem;
    --size-860: 53.75rem;
    --size-862: 53.875rem;
    --size-864: 54rem;
    --size-866: 54.125rem;
    --size-868: 54.25rem;
    --size-870: 54.375rem;
    --size-872: 54.5rem;
    --size-874: 54.625rem;
    --size-876: 54.75rem;
    --size-878: 54.875rem;
    --size-880: 55rem;
    --size-882: 55.125rem;
    --size-884: 55.25rem;
    --size-886: 55.375rem;
    --size-888: 55.5rem;
    --size-890: 55.625rem;
    --size-892: 55.75rem;
    --size-894: 55.875rem;
    --size-896: 56rem;
    --size-898: 56.125rem;
    --size-900: 56.25rem;
    --size-900: 56.25rem;
    --size-902: 56.375rem;
    --size-904: 56.5rem;
    --size-906: 56.625rem;
    --size-908: 56.75rem;
    --size-910: 56.875rem;
    --size-912: 57rem;
    --size-914: 57.125rem;
    --size-916: 57.25rem;
    --size-918: 57.375rem;
    --size-920: 57.5rem;
    --size-922: 57.625rem;
    --size-924: 57.75rem;
    --size-926: 57.875rem;
    --size-928: 58rem;
    --size-930: 58.125rem;
    --size-932: 58.25rem;
    --size-934: 58.375rem;
    --size-936: 58.5rem;
    --size-938: 58.625rem;
    --size-940: 58.75rem;
    --size-942: 58.875rem;
    --size-944: 59rem;
    --size-946: 59.125rem;
    --size-948: 59.25rem;
    --size-950: 59.375rem;
    --size-952: 59.5rem;
    --size-954: 59.625rem;
    --size-956: 59.75rem;
    --size-958: 59.875rem;
    --size-960: 60rem;
    --size-962: 60.125rem;
    --size-964: 60.25rem;
    --size-966: 60.375rem;
    --size-968: 60.5rem;
    --size-970: 60.625rem;
    --size-972: 60.75rem;
    --size-974: 60.875rem;
    --size-976: 61rem;
    --size-978: 61.125rem;
    --size-980: 61.25rem;
    --size-982: 61.375rem;
    --size-984: 61.5rem;
    --size-986: 61.625rem;
    --size-988: 61.75rem;
    --size-990: 61.875rem;
    --size-992: 62rem;
    --size-994: 62.125rem;
    --size-996: 62.25rem;
    --size-998: 62.375rem;
    --size-1000: 62.5rem;
  }

  :host(.medium) {
    --size-0: 0rem;
    --size-1: 0.188rem;
    --size-2: 0.25rem;
    --size-3: 0.313rem;
    --size-4: 0.375rem;
    --size-5: 0.438rem;
    --size-6: 0.5rem;
    --size-7: 0.563rem;
    --size-8: 0.625rem;
    --size-9: 0.688rem;
    --size-10: 0.75rem;
    --size-11: 0.813rem;
    --size-12: 0.875rem;
    --size-13: 0.938rem;
    --size-14: 1rem;
    --size-15: 1.063rem;
    --size-16: 1.125rem;
    --size-17: 1.188rem;
    --size-18: 1.25rem;
    --size-19: 1.313rem;
    --size-20: 1.375rem;
    --size-21: 1.438rem;
    --size-22: 1.5rem;
    --size-23: 1.563rem;
    --size-24: 1.625rem;
    --size-25: 1.688rem;
    --size-26: 1.75rem;
    --size-27: 1.813rem;
    --size-28: 1.875rem;
    --size-29: 1.938rem;
    --size-30: 2rem;
    --size-31: 2.063rem;
    --size-32: 2.125rem;
    --size-33: 2.188rem;
    --size-34: 2.25rem;
    --size-35: 2.313rem;
    --size-36: 2.375rem;
    --size-37: 2.438rem;
    --size-38: 2.5rem;
    --size-39: 2.563rem;
    --size-40: 2.625rem;
    --size-41: 2.688rem;
    --size-42: 2.75rem;
    --size-43: 2.813rem;
    --size-44: 2.875rem;
    --size-45: 2.938rem;
    --size-46: 3rem;
    --size-47: 3.063rem;
    --size-48: 3.125rem;
    --size-49: 3.188rem;
    --size-50: 3.25rem;
    --size-51: 3.313rem;
    --size-52: 3.375rem;
    --size-53: 3.438rem;
    --size-54: 3.5rem;
    --size-55: 3.563rem;
    --size-56: 3.625rem;
    --size-57: 3.688rem;
    --size-58: 3.75rem;
    --size-59: 3.813rem;
    --size-60: 3.875rem;
    --size-61: 3.938rem;
    --size-62: 4rem;
    --size-63: 4.063rem;
    --size-64: 4.125rem;
    --size-65: 4.188rem;
    --size-66: 4.25rem;
    --size-67: 4.313rem;
    --size-68: 4.375rem;
    --size-69: 4.438rem;
    --size-70: 4.5rem;
    --size-71: 4.563rem;
    --size-72: 4.625rem;
    --size-73: 4.688rem;
    --size-74: 4.75rem;
    --size-75: 4.813rem;
    --size-76: 4.875rem;
    --size-77: 4.938rem;
    --size-78: 5rem;
    --size-79: 5.063rem;
    --size-80: 5.125rem;
    --size-81: 5.188rem;
    --size-82: 5.25rem;
    --size-83: 5.313rem;
    --size-84: 5.375rem;
    --size-85: 5.438rem;
    --size-86: 5.5rem;
    --size-87: 5.563rem;
    --size-88: 5.625rem;
    --size-89: 5.688rem;
    --size-90: 5.75rem;
    --size-91: 5.813rem;
    --size-92: 5.875rem;
    --size-93: 5.938rem;
    --size-94: 6rem;
    --size-95: 6.063rem;
    --size-96: 6.125rem;
    --size-97: 6.188rem;
    --size-98: 6.25rem;
    --size-99: 6.313rem;
    --size-100: 6.375rem;
    --size-102: 6.5rem;
    --size-104: 6.625rem;
    --size-106: 6.75rem;
    --size-108: 6.875rem;
    --size-110: 7rem;
    --size-112: 7.125rem;
    --size-114: 7.25rem;
    --size-116: 7.375rem;
    --size-118: 7.5rem;
    --size-120: 7.625rem;
    --size-122: 7.75rem;
    --size-124: 7.875rem;
    --size-126: 8rem;
    --size-128: 8.125rem;
    --size-130: 8.25rem;
    --size-132: 8.375rem;
    --size-134: 8.5rem;
    --size-136: 8.625rem;
    --size-138: 8.75rem;
    --size-140: 8.875rem;
    --size-142: 9rem;
    --size-144: 9.125rem;
    --size-146: 9.25rem;
    --size-148: 9.375rem;
    --size-150: 9.5rem;
    --size-152: 9.625rem;
    --size-154: 9.75rem;
    --size-156: 9.875rem;
    --size-158: 10rem;
    --size-160: 10.125rem;
    --size-162: 10.25rem;
    --size-164: 10.375rem;
    --size-166: 10.5rem;
    --size-168: 10.625rem;
    --size-170: 10.75rem;
    --size-172: 10.875rem;
    --size-174: 11rem;
    --size-176: 11.125rem;
    --size-178: 11.25rem;
    --size-180: 11.375rem;
    --size-182: 11.5rem;
    --size-184: 11.625rem;
    --size-186: 11.75rem;
    --size-188: 11.875rem;
    --size-190: 12rem;
    --size-192: 12.125rem;
    --size-194: 12.25rem;
    --size-196: 12.375rem;
    --size-198: 12.5rem;
    --size-200: 12.625rem;
    --size-202: 12.75rem;
    --size-204: 12.875rem;
    --size-206: 13rem;
    --size-208: 13.125rem;
    --size-210: 13.25rem;
    --size-212: 13.375rem;
    --size-214: 13.5rem;
    --size-216: 13.625rem;
    --size-218: 13.75rem;
    --size-220: 13.875rem;
    --size-222: 14rem;
    --size-224: 14.125rem;
    --size-226: 14.25rem;
    --size-228: 14.375rem;
    --size-230: 14.5rem;
    --size-232: 14.625rem;
    --size-234: 14.75rem;
    --size-236: 14.875rem;
    --size-238: 15rem;
    --size-240: 15.125rem;
    --size-242: 15.25rem;
    --size-244: 15.375rem;
    --size-246: 15.5rem;
    --size-248: 15.625rem;
    --size-250: 15.75rem;
    --size-252: 15.875rem;
    --size-254: 16rem;
    --size-256: 16.125rem;
    --size-258: 16.25rem;
    --size-260: 16.375rem;
    --size-262: 16.5rem;
    --size-264: 16.625rem;
    --size-266: 16.75rem;
    --size-268: 16.875rem;
    --size-270: 17rem;
    --size-272: 17.125rem;
    --size-274: 17.25rem;
    --size-276: 17.375rem;
    --size-278: 17.5rem;
    --size-280: 17.625rem;
    --size-282: 17.75rem;
    --size-284: 17.875rem;
    --size-286: 18rem;
    --size-288: 18.125rem;
    --size-290: 18.25rem;
    --size-292: 18.375rem;
    --size-294: 18.5rem;
    --size-296: 18.625rem;
    --size-298: 18.75rem;
    --size-300: 18.875rem;
    --size-302: 19rem;
    --size-304: 19.125rem;
    --size-306: 19.25rem;
    --size-308: 19.375rem;
    --size-310: 19.5rem;
    --size-312: 19.625rem;
    --size-314: 19.75rem;
    --size-316: 19.875rem;
    --size-318: 20rem;
    --size-320: 20.125rem;
    --size-322: 20.25rem;
    --size-324: 20.375rem;
    --size-326: 20.5rem;
    --size-328: 20.625rem;
    --size-330: 20.75rem;
    --size-332: 20.875rem;
    --size-334: 21rem;
    --size-336: 21.125rem;
    --size-338: 21.25rem;
    --size-340: 21.375rem;
    --size-342: 21.5rem;
    --size-344: 21.625rem;
    --size-346: 21.75rem;
    --size-348: 21.875rem;
    --size-350: 22rem;
    --size-352: 22.125rem;
    --size-354: 22.25rem;
    --size-356: 22.375rem;
    --size-358: 22.5rem;
    --size-360: 22.625rem;
    --size-362: 22.75rem;
    --size-364: 22.875rem;
    --size-366: 23rem;
    --size-368: 23.125rem;
    --size-370: 23.25rem;
    --size-372: 23.375rem;
    --size-374: 23.5rem;
    --size-376: 23.625rem;
    --size-378: 23.75rem;
    --size-380: 23.875rem;
    --size-382: 24rem;
    --size-384: 24.125rem;
    --size-386: 24.25rem;
    --size-388: 24.375rem;
    --size-390: 24.5rem;
    --size-392: 24.625rem;
    --size-394: 24.75rem;
    --size-396: 24.875rem;
    --size-398: 25rem;
    --size-400: 25.125rem;
    --size-402: 25.25rem;
    --size-404: 25.375rem;
    --size-406: 25.5rem;
    --size-408: 25.625rem;
    --size-410: 25.75rem;
    --size-412: 25.875rem;
    --size-414: 26rem;
    --size-416: 26.125rem;
    --size-418: 26.25rem;
    --size-420: 26.375rem;
    --size-422: 26.5rem;
    --size-424: 26.625rem;
    --size-426: 26.75rem;
    --size-428: 26.875rem;
    --size-430: 27rem;
    --size-432: 27.125rem;
    --size-434: 27.25rem;
    --size-436: 27.375rem;
    --size-438: 27.5rem;
    --size-440: 27.625rem;
    --size-442: 27.75rem;
    --size-444: 27.875rem;
    --size-446: 28rem;
    --size-448: 28.125rem;
    --size-450: 28.25rem;
    --size-452: 28.375rem;
    --size-454: 28.5rem;
    --size-456: 28.625rem;
    --size-458: 28.75rem;
    --size-460: 28.875rem;
    --size-462: 29rem;
    --size-464: 29.125rem;
    --size-466: 29.25rem;
    --size-468: 29.375rem;
    --size-470: 29.5rem;
    --size-472: 29.625rem;
    --size-474: 29.75rem;
    --size-476: 29.875rem;
    --size-478: 30rem;
    --size-480: 30.125rem;
    --size-482: 30.25rem;
    --size-484: 30.375rem;
    --size-486: 30.5rem;
    --size-488: 30.625rem;
    --size-490: 30.75rem;
    --size-492: 30.875rem;
    --size-494: 31rem;
    --size-496: 31.125rem;
    --size-498: 31.25rem;
    --size-500: 31.375rem;
    --size-502: 31.5rem;
    --size-504: 31.625rem;
    --size-506: 31.75rem;
    --size-508: 31.875rem;
    --size-510: 32rem;
    --size-512: 32.125rem;
    --size-514: 32.25rem;
    --size-516: 32.375rem;
    --size-518: 32.5rem;
    --size-520: 32.625rem;
    --size-522: 32.75rem;
    --size-524: 32.875rem;
    --size-526: 33rem;
    --size-528: 33.125rem;
    --size-530: 33.25rem;
    --size-532: 33.375rem;
    --size-534: 33.5rem;
    --size-536: 33.625rem;
    --size-538: 33.75rem;
    --size-540: 33.875rem;
    --size-542: 34rem;
    --size-544: 34.125rem;
    --size-546: 34.25rem;
    --size-548: 34.375rem;
    --size-550: 34.5rem;
    --size-552: 34.625rem;
    --size-554: 34.75rem;
    --size-556: 34.875rem;
    --size-558: 35rem;
    --size-560: 35.125rem;
    --size-562: 35.25rem;
    --size-564: 35.375rem;
    --size-566: 35.5rem;
    --size-568: 35.625rem;
    --size-570: 35.75rem;
    --size-572: 35.875rem;
    --size-574: 36rem;
    --size-576: 36.125rem;
    --size-578: 36.25rem;
    --size-580: 36.375rem;
    --size-582: 36.5rem;
    --size-584: 36.625rem;
    --size-586: 36.75rem;
    --size-588: 36.875rem;
    --size-590: 37rem;
    --size-592: 37.125rem;
    --size-594: 37.25rem;
    --size-596: 37.375rem;
    --size-598: 37.5rem;
    --size-600: 37.625rem;
    --size-602: 37.75rem;
    --size-604: 37.875rem;
    --size-606: 38rem;
    --size-608: 38.125rem;
    --size-610: 38.25rem;
    --size-612: 38.375rem;
    --size-614: 38.5rem;
    --size-616: 38.625rem;
    --size-618: 38.75rem;
    --size-620: 38.875rem;
    --size-622: 39rem;
    --size-624: 39.125rem;
    --size-626: 39.25rem;
    --size-628: 39.375rem;
    --size-630: 39.5rem;
    --size-632: 39.625rem;
    --size-634: 39.75rem;
    --size-636: 39.875rem;
    --size-638: 40rem;
    --size-640: 40.125rem;
    --size-642: 40.25rem;
    --size-644: 40.375rem;
    --size-646: 40.5rem;
    --size-648: 40.625rem;
    --size-650: 40.75rem;
    --size-652: 40.875rem;
    --size-654: 41rem;
    --size-656: 41.125rem;
    --size-658: 41.25rem;
    --size-660: 41.375rem;
    --size-662: 41.5rem;
    --size-664: 41.625rem;
    --size-666: 41.75rem;
    --size-668: 41.875rem;
    --size-670: 42rem;
    --size-672: 42.125rem;
    --size-674: 42.25rem;
    --size-676: 42.375rem;
    --size-678: 42.5rem;
    --size-680: 42.625rem;
    --size-682: 42.75rem;
    --size-684: 42.875rem;
    --size-686: 43rem;
    --size-688: 43.125rem;
    --size-690: 43.25rem;
    --size-692: 43.375rem;
    --size-694: 43.5rem;
    --size-696: 43.625rem;
    --size-698: 43.75rem;
    --size-700: 43.875rem;
    --size-702: 44rem;
    --size-704: 44.125rem;
    --size-706: 44.25rem;
    --size-708: 44.375rem;
    --size-710: 44.5rem;
    --size-712: 44.625rem;
    --size-714: 44.75rem;
    --size-716: 44.875rem;
    --size-718: 45rem;
    --size-720: 45.125rem;
    --size-722: 45.25rem;
    --size-724: 45.375rem;
    --size-726: 45.5rem;
    --size-728: 45.625rem;
    --size-730: 45.75rem;
    --size-732: 45.875rem;
    --size-734: 46rem;
    --size-736: 46.125rem;
    --size-738: 46.25rem;
    --size-740: 46.375rem;
    --size-742: 46.5rem;
    --size-744: 46.625rem;
    --size-746: 46.75rem;
    --size-748: 46.875rem;
    --size-750: 47rem;
    --size-752: 47.125rem;
    --size-754: 47.25rem;
    --size-756: 47.375rem;
    --size-758: 47.5rem;
    --size-760: 47.625rem;
    --size-762: 47.75rem;
    --size-764: 47.875rem;
    --size-766: 48rem;
    --size-768: 48.125rem;
    --size-770: 48.25rem;
    --size-772: 48.375rem;
    --size-774: 48.5rem;
    --size-776: 48.625rem;
    --size-778: 48.75rem;
    --size-780: 48.875rem;
    --size-782: 49rem;
    --size-784: 49.125rem;
    --size-786: 49.25rem;
    --size-788: 49.375rem;
    --size-790: 49.5rem;
    --size-792: 49.625rem;
    --size-794: 49.75rem;
    --size-796: 49.875rem;
    --size-798: 50rem;
    --size-800: 50.125rem;
    --size-802: 50.25rem;
    --size-804: 50.375rem;
    --size-806: 50.5rem;
    --size-808: 50.625rem;
    --size-810: 50.75rem;
    --size-812: 50.875rem;
    --size-814: 51rem;
    --size-816: 51.125rem;
    --size-818: 51.25rem;
    --size-820: 51.375rem;
    --size-822: 51.5rem;
    --size-824: 51.625rem;
    --size-826: 51.75rem;
    --size-828: 51.875rem;
    --size-830: 52rem;
    --size-832: 52.125rem;
    --size-834: 52.25rem;
    --size-836: 52.375rem;
    --size-838: 52.5rem;
    --size-840: 52.625rem;
    --size-842: 52.75rem;
    --size-844: 52.875rem;
    --size-846: 53rem;
    --size-848: 53.125rem;
    --size-850: 53.25rem;
    --size-852: 53.375rem;
    --size-854: 53.5rem;
    --size-856: 53.625rem;
    --size-858: 53.75rem;
    --size-860: 53.875rem;
    --size-862: 54rem;
    --size-864: 54.125rem;
    --size-866: 54.25rem;
    --size-868: 54.375rem;
    --size-870: 54.5rem;
    --size-872: 54.625rem;
    --size-874: 54.75rem;
    --size-876: 54.875rem;
    --size-878: 55rem;
    --size-880: 55.125rem;
    --size-882: 55.25rem;
    --size-884: 55.375rem;
    --size-886: 55.5rem;
    --size-888: 55.625rem;
    --size-890: 55.75rem;
    --size-892: 55.875rem;
    --size-894: 56rem;
    --size-896: 56.125rem;
    --size-898: 56.25rem;
    --size-900: 56.375rem;
    --size-902: 56.5rem;
    --size-904: 56.625rem;
    --size-906: 56.75rem;
    --size-908: 56.875rem;
    --size-910: 57rem;
    --size-912: 57.125rem;
    --size-914: 57.25rem;
    --size-916: 57.375rem;
    --size-918: 57.5rem;
    --size-920: 57.625rem;
    --size-922: 57.75rem;
    --size-924: 57.875rem;
    --size-926: 58rem;
    --size-928: 58.125rem;
    --size-930: 58.25rem;
    --size-932: 58.375rem;
    --size-934: 58.5rem;
    --size-936: 58.625rem;
    --size-938: 58.75rem;
    --size-940: 58.875rem;
    --size-942: 59rem;
    --size-944: 59.125rem;
    --size-946: 59.25rem;
    --size-948: 59.375rem;
    --size-950: 59.5rem;
    --size-952: 59.625rem;
    --size-954: 59.75rem;
    --size-956: 59.875rem;
    --size-958: 60rem;
    --size-960: 60.125rem;
    --size-962: 60.25rem;
    --size-964: 60.375rem;
    --size-966: 60.5rem;
    --size-968: 60.625rem;
    --size-970: 60.75rem;
    --size-972: 60.875rem;
    --size-974: 61rem;
    --size-976: 61.125rem;
    --size-978: 61.25rem;
    --size-980: 61.375rem;
    --size-982: 61.5rem;
    --size-984: 61.625rem;
    --size-986: 61.75rem;
    --size-988: 61.875rem;
    --size-990: 62rem;
    --size-992: 62.125rem;
    --size-994: 62.25rem;
    --size-996: 62.375rem;
    --size-998: 62.5rem;
    --size-1000: 62.625rem;
  }

  :host(.large) {
    --size-0: 0rem;
    --size-1: 0.313rem;
    --size-2: 0.375rem;
    --size-3: 0.438rem;
    --size-4: 0.5rem;
    --size-5: 0.563rem;
    --size-6: 0.625rem;
    --size-7: 0.688rem;
    --size-8: 0.75rem;
    --size-9: 0.813rem;
    --size-10: 0.875rem;
    --size-11: 0.938rem;
    --size-12: 1rem;
    --size-13: 1.063rem;
    --size-14: 1.125rem;
    --size-15: 1.188rem;
    --size-16: 1.25rem;
    --size-17: 1.313rem;
    --size-18: 1.375rem;
    --size-19: 1.438rem;
    --size-20: 1.5rem;
    --size-21: 1.563rem;
    --size-22: 1.625rem;
    --size-23: 1.688rem;
    --size-24: 1.75rem;
    --size-25: 1.813rem;
    --size-26: 1.875rem;
    --size-27: 1.938rem;
    --size-28: 2rem;
    --size-29: 2.063rem;
    --size-30: 2.125rem;
    --size-31: 2.188rem;
    --size-32: 2.25rem;
    --size-33: 2.313rem;
    --size-34: 2.375rem;
    --size-35: 2.438rem;
    --size-36: 2.5rem;
    --size-37: 2.563rem;
    --size-38: 2.625rem;
    --size-39: 2.688rem;
    --size-40: 2.75rem;
    --size-41: 2.813rem;
    --size-42: 2.875rem;
    --size-43: 2.938rem;
    --size-44: 3rem;
    --size-45: 3.063rem;
    --size-46: 3.125rem;
    --size-47: 3.188rem;
    --size-48: 3.25rem;
    --size-49: 3.313rem;
    --size-50: 3.375rem;
    --size-51: 3.438rem;
    --size-52: 3.5rem;
    --size-53: 3.563rem;
    --size-54: 3.625rem;
    --size-55: 3.688rem;
    --size-56: 3.75rem;
    --size-57: 3.813rem;
    --size-58: 3.875rem;
    --size-59: 3.938rem;
    --size-60: 4rem;
    --size-61: 4.063rem;
    --size-62: 4.125rem;
    --size-63: 4.188rem;
    --size-64: 4.25rem;
    --size-65: 4.313rem;
    --size-66: 4.375rem;
    --size-67: 4.438rem;
    --size-68: 4.5rem;
    --size-69: 4.563rem;
    --size-70: 4.625rem;
    --size-71: 4.688rem;
    --size-72: 4.75rem;
    --size-73: 4.813rem;
    --size-74: 4.875rem;
    --size-75: 4.938rem;
    --size-76: 5rem;
    --size-77: 5.063rem;
    --size-78: 5.125rem;
    --size-79: 5.188rem;
    --size-80: 5.25rem;
    --size-81: 5.313rem;
    --size-82: 5.375rem;
    --size-83: 5.438rem;
    --size-84: 5.5rem;
    --size-85: 5.563rem;
    --size-86: 5.625rem;
    --size-87: 5.688rem;
    --size-88: 5.75rem;
    --size-89: 5.813rem;
    --size-90: 5.875rem;
    --size-91: 5.938rem;
    --size-92: 6rem;
    --size-93: 6.063rem;
    --size-94: 6.125rem;
    --size-95: 6.188rem;
    --size-96: 6.25rem;
    --size-97: 6.313rem;
    --size-98: 6.375rem;
    --size-99: 6.438rem;
    --size-100: 6.5rem;
    --size-102: 6.625rem;
    --size-104: 6.75rem;
    --size-106: 6.875rem;
    --size-108: 7rem;
    --size-110: 7.125rem;
    --size-112: 7.25rem;
    --size-114: 7.375rem;
    --size-116: 7.5rem;
    --size-118: 7.625rem;
    --size-120: 7.75rem;
    --size-122: 7.875rem;
    --size-124: 8rem;
    --size-126: 8.125rem;
    --size-128: 8.25rem;
    --size-130: 8.375rem;
    --size-132: 8.5rem;
    --size-134: 8.625rem;
    --size-136: 8.75rem;
    --size-138: 8.875rem;
    --size-140: 9rem;
    --size-142: 9.125rem;
    --size-144: 9.25rem;
    --size-146: 9.375rem;
    --size-148: 9.5rem;
    --size-150: 9.625rem;
    --size-152: 9.75rem;
    --size-154: 9.875rem;
    --size-156: 10rem;
    --size-158: 10.125rem;
    --size-160: 10.25rem;
    --size-162: 10.375rem;
    --size-164: 10.5rem;
    --size-166: 10.625rem;
    --size-168: 10.75rem;
    --size-170: 10.875rem;
    --size-172: 11rem;
    --size-174: 11.125rem;
    --size-176: 11.25rem;
    --size-178: 11.375rem;
    --size-180: 11.5rem;
    --size-182: 11.625rem;
    --size-184: 11.75rem;
    --size-186: 11.875rem;
    --size-188: 12rem;
    --size-190: 12.125rem;
    --size-192: 12.25rem;
    --size-194: 12.375rem;
    --size-196: 12.5rem;
    --size-198: 12.625rem;
    --size-200: 12.75rem;
    --size-202: 12.875rem;
    --size-204: 13rem;
    --size-206: 13.125rem;
    --size-208: 13.25rem;
    --size-210: 13.375rem;
    --size-212: 13.5rem;
    --size-214: 13.625rem;
    --size-216: 13.75rem;
    --size-218: 13.875rem;
    --size-220: 14rem;
    --size-222: 14.125rem;
    --size-224: 14.25rem;
    --size-226: 14.375rem;
    --size-228: 14.5rem;
    --size-230: 14.625rem;
    --size-232: 14.75rem;
    --size-234: 14.875rem;
    --size-236: 15rem;
    --size-238: 15.125rem;
    --size-240: 15.25rem;
    --size-242: 15.375rem;
    --size-244: 15.5rem;
    --size-246: 15.625rem;
    --size-248: 15.75rem;
    --size-250: 15.875rem;
    --size-252: 16rem;
    --size-254: 16.125rem;
    --size-256: 16.25rem;
    --size-258: 16.375rem;
    --size-260: 16.5rem;
    --size-262: 16.625rem;
    --size-264: 16.75rem;
    --size-266: 16.875rem;
    --size-268: 17rem;
    --size-270: 17.125rem;
    --size-272: 17.25rem;
    --size-274: 17.375rem;
    --size-276: 17.5rem;
    --size-278: 17.625rem;
    --size-280: 17.75rem;
    --size-282: 17.875rem;
    --size-284: 18rem;
    --size-286: 18.125rem;
    --size-288: 18.25rem;
    --size-290: 18.375rem;
    --size-292: 18.5rem;
    --size-294: 18.625rem;
    --size-296: 18.75rem;
    --size-298: 18.875rem;
    --size-300: 19rem;
    --size-302: 19.125rem;
    --size-304: 19.25rem;
    --size-306: 19.375rem;
    --size-308: 19.5rem;
    --size-310: 19.625rem;
    --size-312: 19.75rem;
    --size-314: 19.875rem;
    --size-316: 20rem;
    --size-318: 20.125rem;
    --size-320: 20.25rem;
    --size-322: 20.375rem;
    --size-324: 20.5rem;
    --size-326: 20.625rem;
    --size-328: 20.75rem;
    --size-330: 20.875rem;
    --size-332: 21rem;
    --size-334: 21.125rem;
    --size-336: 21.25rem;
    --size-338: 21.375rem;
    --size-340: 21.5rem;
    --size-342: 21.625rem;
    --size-344: 21.75rem;
    --size-346: 21.875rem;
    --size-348: 22rem;
    --size-350: 22.125rem;
    --size-352: 22.25rem;
    --size-354: 22.375rem;
    --size-356: 22.5rem;
    --size-358: 22.625rem;
    --size-360: 22.75rem;
    --size-362: 22.875rem;
    --size-364: 23rem;
    --size-366: 23.125rem;
    --size-368: 23.25rem;
    --size-370: 23.375rem;
    --size-372: 23.5rem;
    --size-374: 23.625rem;
    --size-376: 23.75rem;
    --size-378: 23.875rem;
    --size-380: 24rem;
    --size-382: 24.125rem;
    --size-384: 24.25rem;
    --size-386: 24.375rem;
    --size-388: 24.5rem;
    --size-390: 24.625rem;
    --size-392: 24.75rem;
    --size-394: 24.875rem;
    --size-396: 25rem;
    --size-398: 25.125rem;
    --size-400: 25.25rem;
    --size-402: 25.375rem;
    --size-404: 25.5rem;
    --size-406: 25.625rem;
    --size-408: 25.75rem;
    --size-410: 25.875rem;
    --size-412: 26rem;
    --size-414: 26.125rem;
    --size-416: 26.25rem;
    --size-418: 26.375rem;
    --size-420: 26.5rem;
    --size-422: 26.625rem;
    --size-424: 26.75rem;
    --size-426: 26.875rem;
    --size-428: 27rem;
    --size-430: 27.125rem;
    --size-432: 27.25rem;
    --size-434: 27.375rem;
    --size-436: 27.5rem;
    --size-438: 27.625rem;
    --size-440: 27.75rem;
    --size-442: 27.875rem;
    --size-444: 28rem;
    --size-446: 28.125rem;
    --size-448: 28.25rem;
    --size-450: 28.375rem;
    --size-452: 28.5rem;
    --size-454: 28.625rem;
    --size-456: 28.75rem;
    --size-458: 28.875rem;
    --size-460: 29rem;
    --size-462: 29.125rem;
    --size-464: 29.25rem;
    --size-466: 29.375rem;
    --size-468: 29.5rem;
    --size-470: 29.625rem;
    --size-472: 29.75rem;
    --size-474: 29.875rem;
    --size-476: 30rem;
    --size-478: 30.125rem;
    --size-480: 30.25rem;
    --size-482: 30.375rem;
    --size-484: 30.5rem;
    --size-486: 30.625rem;
    --size-488: 30.75rem;
    --size-490: 30.875rem;
    --size-492: 31rem;
    --size-494: 31.125rem;
    --size-496: 31.25rem;
    --size-498: 31.375rem;
    --size-500: 31.5rem;
    --size-502: 31.625rem;
    --size-504: 31.75rem;
    --size-506: 31.875rem;
    --size-508: 32rem;
    --size-510: 32.125rem;
    --size-512: 32.25rem;
    --size-514: 32.375rem;
    --size-516: 32.5rem;
    --size-518: 32.625rem;
    --size-520: 32.75rem;
    --size-522: 32.875rem;
    --size-524: 33rem;
    --size-526: 33.125rem;
    --size-528: 33.25rem;
    --size-530: 33.375rem;
    --size-532: 33.5rem;
    --size-534: 33.625rem;
    --size-536: 33.75rem;
    --size-538: 33.875rem;
    --size-540: 34rem;
    --size-542: 34.125rem;
    --size-544: 34.25rem;
    --size-546: 34.375rem;
    --size-548: 34.5rem;
    --size-550: 34.625rem;
    --size-552: 34.75rem;
    --size-554: 34.875rem;
    --size-556: 35rem;
    --size-558: 35.125rem;
    --size-560: 35.25rem;
    --size-562: 35.375rem;
    --size-564: 35.5rem;
    --size-566: 35.625rem;
    --size-568: 35.75rem;
    --size-570: 35.875rem;
    --size-572: 36rem;
    --size-574: 36.125rem;
    --size-576: 36.25rem;
    --size-578: 36.375rem;
    --size-580: 36.5rem;
    --size-582: 36.625rem;
    --size-584: 36.75rem;
    --size-586: 36.875rem;
    --size-588: 37rem;
    --size-590: 37.125rem;
    --size-592: 37.25rem;
    --size-594: 37.375rem;
    --size-596: 37.5rem;
    --size-598: 37.625rem;
    --size-600: 37.75rem;
    --size-602: 37.875rem;
    --size-604: 38rem;
    --size-606: 38.125rem;
    --size-608: 38.25rem;
    --size-610: 38.375rem;
    --size-612: 38.5rem;
    --size-614: 38.625rem;
    --size-616: 38.75rem;
    --size-618: 38.875rem;
    --size-620: 39rem;
    --size-622: 39.125rem;
    --size-624: 39.25rem;
    --size-626: 39.375rem;
    --size-628: 39.5rem;
    --size-630: 39.625rem;
    --size-632: 39.75rem;
    --size-634: 39.875rem;
    --size-636: 40rem;
    --size-638: 40.125rem;
    --size-640: 40.25rem;
    --size-642: 40.375rem;
    --size-644: 40.5rem;
    --size-646: 40.625rem;
    --size-648: 40.75rem;
    --size-650: 40.875rem;
    --size-652: 41rem;
    --size-654: 41.125rem;
    --size-656: 41.25rem;
    --size-658: 41.375rem;
    --size-660: 41.5rem;
    --size-662: 41.625rem;
    --size-664: 41.75rem;
    --size-666: 41.875rem;
    --size-668: 42rem;
    --size-670: 42.125rem;
    --size-672: 42.25rem;
    --size-674: 42.375rem;
    --size-676: 42.5rem;
    --size-678: 42.625rem;
    --size-680: 42.75rem;
    --size-682: 42.875rem;
    --size-684: 43rem;
    --size-686: 43.125rem;
    --size-688: 43.25rem;
    --size-690: 43.375rem;
    --size-692: 43.5rem;
    --size-694: 43.625rem;
    --size-696: 43.75rem;
    --size-698: 43.875rem;
    --size-700: 44rem;
    --size-702: 44.125rem;
    --size-704: 44.25rem;
    --size-706: 44.375rem;
    --size-708: 44.5rem;
    --size-710: 44.625rem;
    --size-712: 44.75rem;
    --size-714: 44.875rem;
    --size-716: 45rem;
    --size-718: 45.125rem;
    --size-720: 45.25rem;
    --size-722: 45.375rem;
    --size-724: 45.5rem;
    --size-726: 45.625rem;
    --size-728: 45.75rem;
    --size-730: 45.875rem;
    --size-732: 46rem;
    --size-734: 46.125rem;
    --size-736: 46.25rem;
    --size-738: 46.375rem;
    --size-740: 46.5rem;
    --size-742: 46.625rem;
    --size-744: 46.75rem;
    --size-746: 46.875rem;
    --size-748: 47rem;
    --size-750: 47.125rem;
    --size-752: 47.25rem;
    --size-754: 47.375rem;
    --size-756: 47.5rem;
    --size-758: 47.625rem;
    --size-760: 47.75rem;
    --size-762: 47.875rem;
    --size-764: 48rem;
    --size-766: 48.125rem;
    --size-768: 48.25rem;
    --size-770: 48.375rem;
    --size-772: 48.5rem;
    --size-774: 48.625rem;
    --size-776: 48.75rem;
    --size-778: 48.875rem;
    --size-780: 49rem;
    --size-782: 49.125rem;
    --size-784: 49.25rem;
    --size-786: 49.375rem;
    --size-788: 49.5rem;
    --size-790: 49.625rem;
    --size-792: 49.75rem;
    --size-794: 49.875rem;
    --size-796: 50rem;
    --size-798: 50.125rem;
    --size-800: 50.25rem;
    --size-802: 50.375rem;
    --size-804: 50.5rem;
    --size-806: 50.625rem;
    --size-808: 50.75rem;
    --size-810: 50.875rem;
    --size-812: 51rem;
    --size-814: 51.125rem;
    --size-816: 51.25rem;
    --size-818: 51.375rem;
    --size-820: 51.5rem;
    --size-822: 51.625rem;
    --size-824: 51.75rem;
    --size-826: 51.875rem;
    --size-828: 52rem;
    --size-830: 52.125rem;
    --size-832: 52.25rem;
    --size-834: 52.375rem;
    --size-836: 52.5rem;
    --size-838: 52.625rem;
    --size-840: 52.75rem;
    --size-842: 52.875rem;
    --size-844: 53rem;
    --size-846: 53.125rem;
    --size-848: 53.25rem;
    --size-850: 53.375rem;
    --size-852: 53.5rem;
    --size-854: 53.625rem;
    --size-856: 53.75rem;
    --size-858: 53.875rem;
    --size-860: 54rem;
    --size-862: 54.125rem;
    --size-864: 54.25rem;
    --size-866: 54.375rem;
    --size-868: 54.5rem;
    --size-870: 54.625rem;
    --size-872: 54.75rem;
    --size-874: 54.875rem;
    --size-876: 55rem;
    --size-878: 55.125rem;
    --size-880: 55.25rem;
    --size-882: 55.375rem;
    --size-884: 55.5rem;
    --size-886: 55.625rem;
    --size-888: 55.75rem;
    --size-890: 55.875rem;
    --size-892: 56rem;
    --size-894: 56.125rem;
    --size-896: 56.25rem;
    --size-898: 56.375rem;
    --size-900: 56.5rem;
    --size-902: 56.625rem;
    --size-904: 56.75rem;
    --size-906: 56.875rem;
    --size-908: 57rem;
    --size-910: 57.125rem;
    --size-912: 57.25rem;
    --size-914: 57.375rem;
    --size-916: 57.5rem;
    --size-918: 57.625rem;
    --size-920: 57.75rem;
    --size-922: 57.875rem;
    --size-924: 58rem;
    --size-926: 58.125rem;
    --size-928: 58.25rem;
    --size-930: 58.375rem;
    --size-932: 58.5rem;
    --size-934: 58.625rem;
    --size-936: 58.75rem;
    --size-938: 58.875rem;
    --size-940: 59rem;
    --size-942: 59.125rem;
    --size-944: 59.25rem;
    --size-946: 59.375rem;
    --size-948: 59.5rem;
    --size-950: 59.625rem;
    --size-952: 59.75rem;
    --size-954: 59.875rem;
    --size-956: 60rem;
    --size-958: 60.125rem;
    --size-960: 60.25rem;
    --size-962: 60.375rem;
    --size-964: 60.5rem;
    --size-966: 60.625rem;
    --size-968: 60.75rem;
    --size-970: 60.875rem;
    --size-972: 61rem;
    --size-974: 61.125rem;
    --size-976: 61.25rem;
    --size-978: 61.375rem;
    --size-980: 61.5rem;
    --size-982: 61.625rem;
    --size-984: 61.75rem;
    --size-986: 61.875rem;
    --size-988: 62rem;
    --size-990: 62.125rem;
    --size-992: 62.25rem;
    --size-994: 62.375rem;
    --size-996: 62.5rem;
    --size-998: 62.625rem;
    --size-1000: 62.75rem;
  }
`;
//# sourceMappingURL=size.theme.js.map