import { Scale } from './scale';
export class TransitionFactory {
    constructor(detail) {
        this.detail = detail;
        this.name = detail.transition.name;
    }
    getTransitionCssText() {
        if (this.name === 'scale-up' || this.name === 'scale-down') {
            return new Scale(this.detail).getCssText();
        }
        else if (this.name === 'top-down' || this.name === 'bottom-up') {
            return '';
        }
    }
}
//# sourceMappingURL=transition.factory.js.map