export const visibleElement = (target, callback, options) => {
    const obsrever = new IntersectionObserver((entries) => {
        entries.forEach((entry) => {
            if (entry.isIntersecting) {
                callback(entry, obsrever, 'visible');
            }
            else {
                callback(entry, obsrever, 'hidden');
            }
        });
    }, options);
    obsrever.observe(target);
};
//# sourceMappingURL=visible-element.js.map