export const abbrStylesMapper = new Map([
    ['transition', ['transition']],
    ['bg', ['background-color']],
    ['cursor', ['cursor']],
    ['display', ['display']],
    ['flex-direction', ['flex-direction']],
    ['flex-grow', ['flex-grow']],
    ['flex-shrink', ['flex-shrink']],
    ['flex-wrap', ['flex-wrap']],
    ['opacity', ['opacity']],
    ['order', ['order']],
    ['outline', ['outline']],
    ['overflow', ['overflow']],
    ['overflow-x', ['overflow-x']],
    ['overflow-y', ['overflow-y']],
    ['position', ['position']],
    // ['shadow', ['box-shadow']],
    ['tx-overflow', ['text-overflow']],
    ['user-select', ['user-select']],
    ['visibility', ['visibility']],
    ['whitespace', ['white-space']],
    ['z-index', ['z-index']],
    ['round', ['border-radius']],
    ['left', ['left']],
    ['top', ['top']],
    ['right', ['right']],
    ['bottom', ['bottom']],
    ['col-gap', ['column-gap']],
    ['row-gap', ['row-gap']],
    ['h', ['height']],
    ['max-h', ['max-height']],
    ['min-h', ['min-height']],
    ['w', ['width']],
    ['min-w', ['min-width']],
    ['max-w', ['max-width']],
    ['m', ['margin']],
    ['ml', ['margin-left']],
    ['mt', ['margin-top']],
    ['mr', ['margin-right']],
    ['mb', ['margin-bottom']],
    ['p', ['padding']],
    ['pl', ['padding-left']],
    ['pt', ['padding-top']],
    ['pr', ['padding-right']],
    ['pb', ['padding-bottom']],
]);
export const abbrMultiStyleMapper = new Map([
    ['tx', ['font-size', 'font-family', 'color']],
    ['border', ['border-width', 'border-style', 'border-color']],
    ['border-left', ['border-width', 'border-style', 'border-color']],
    ['border-top', ['border-width', 'border-style', 'border-color']],
    ['border-right', ['border-width', 'border-style', 'border-color']],
    ['border-bottom', ['border-width', 'border-style', 'border-color']],
]);
export const xyStyleMapper = new Map([
    ['tx', ['font-size', 'font-family', 'color']],
    ['mx', ['margin-left', 'margin-right']],
    ['my', ['margin-top', 'margin-bottom']],
    ['px', ['padding-left', 'padding-right']],
    ['py', ['padding-top', 'padding-bottom']],
]);
export const iconStyleMapper = new Map([
    ['icon-prefix', ['font-size', 'font-family', 'color']],
    ['icon-prefix-active', ['font-size', 'font-family', 'color']],
    ['icon-prefix-focus-within', ['font-size', 'font-family', 'color']],
    ['icon-prefix-hover', ['font-size', 'font-family', 'color']],
    ['icon-prefix-target', ['font-size', 'font-family', 'color']],
    ['icon-prefix-focus', ['font-size', 'font-family', 'color']],
    ['icon-prefix-focus-visible', ['font-size', 'font-family', 'color']],
    ['icon-prefix-toggle', ['font-size', 'font-family', 'color']],
    ['icon-suffix', ['font-size', 'font-family', 'color']],
    ['icon-suffix-active', ['font-size', 'font-family', 'color']],
    ['icon-suffix-focus-within', ['font-size', 'font-family', 'color']],
    ['icon-suffix-hover', ['font-size', 'font-family', 'color']],
    ['icon-suffix-target', ['font-size', 'font-family', 'color']],
    ['icon-suffix-focus', ['font-size', 'font-family', 'color']],
    ['icon-suffix-focus-visible', ['font-size', 'font-family', 'color']],
    ['icon-suffix-toggle', ['font-size', 'font-family', 'color']],
]);
//# sourceMappingURL=abbr-styles-mapper.js.map