import { DateParameter } from '../../../../helpers/functions/date/date-methods';
export declare class CalendarBaseMethod {
    private signleCalendar;
    constructor(signleCalendar: CXSingleCalendar.Ref);
    getDateFromString(dateStr: string): Date;
    getUpdatedStartEndAttributes(): (string | null | undefined)[];
    setOldDateRange(): void;
    removeStartEndDateAttribute(type: 'startdate' | 'enddate'): void;
    setSingleSelectAttribute(year: DateParameter, month: DateParameter, date: DateParameter): void;
    setStartEndDateAttribute(type: 'startdate' | 'enddate', year: DateParameter, month: DateParameter, date: DateParameter): void;
    getDateSelected(e: PointerEvent): string[];
    removeDateBetweenClass(shadowRootSheet: CSSStyleSheet | undefined): void;
    dateConverted(day?: number): Date | undefined;
    getCalendarMonitorAttr(attributeName: string): string | null | undefined;
    removeSelection(): void;
}
